%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%    TESTING APPROXIMATE SOLUTIONS TO THE CME        %%%%%%%%%%%%
%%%%%%%%%%%           COMPUTE POWER OF KS TEST                 %%%%%%%%%%%%
%%%%%%%%%%%          Authors: Jenkinson/Goutsias               %%%%%%%%%%%%
%%%%%%%%%%%           Last Modified: 02/24/2013                %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

function beta = findPower(mu,sigma,alpha,L,numMCsamples,rVals,mu2star,sigma2Star)

count = 1;

beta  = zeros(size(rVals));

ySamples = zeros(L,1);

for r = rVals
    Htot = 0;
    for iter = 1:numMCsamples
        %
        % Generate L samples from Q_r
        %
        mixture = (rand(L,1)<r);
        for l=1:L 
            if mixture(l) %draw from true LNA w/ prob r
                ySamples(l) = sigma*randn+mu;
            else %draw from LNA at other mode w/ prob r
                ySamples(l) = sigma2Star*randn + mu2star;
            end
        end
        
        %
        % Normalize samples to standard normal with mean mu and std sigma
        %
        ZZ = (ySamples-mu)/sigma;
        
        %
        % Perform test
        %
        H = kstest(ZZ,[],alpha);  
        
        Htot = Htot + H;
    end
    beta(count) = Htot/numMCsamples; %fraction of times null rejected
    
    count = count+1;
end