%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%    TESTING APPROXIMATE SOLUTIONS TO THE CME        %%%%%%%%%%%%
%%%%%%%%%%%     RHS OF LYAPUNOV EQUATIONS IN SIR MODEL         %%%%%%%%%%%%
%%%%%%%%%%%          Authors: Jenkinson/Goutsias               %%%%%%%%%%%%
%%%%%%%%%%%           Last Modified: 02/27/2013                %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

function cPrime = rhsLNA(t,c,t_macro,mu_macro,k1,k2)

%
% Find the mean value at the present time
%

mu_t = interp1(t_macro,mu_macro,t);


%
% Find covariance RHS 
%

cPrime = zeros(3,1);

cPrime(1) = - 2*k1*mu_t(2)*c(1) - 2*k1*mu_t(1)*c(3) ...
            + k1*mu_t(1)*mu_t(2);
cPrime(2) = 2*k1*mu_t(2)*c(3) + 2*(k1*mu_t(1)-k2)*c(2)...
           + k1*mu_t(1)*mu_t(2) + k2*mu_t(2);
cPrime(3) = -k1*mu_t(1)*c(2) + k1*mu_t(2)*c(1) ...
           + (k1*mu_t(1)-k2-k1*mu_t(2))*c(3) - k1*mu_t(1)*mu_t(2);